/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import React from 'react';
export { Instruction, NodeContext, useNodeContext, useAvailableUpstreams, useUpstreamScopes, } from '../../client-v2/canvas/Instruction';
export type { NodeAvailableContext, TempAssociationSource } from '../../client-v2/canvas/Instruction';
export declare function updateNodeConfig({ api, nodeId, config, resourceName }: {
    api: any;
    nodeId: any;
    config: any;
    resourceName?: string;
}): Promise<void>;
export declare function useNodeSavedConfig(keys?: any[]): boolean;
export declare function Node({ data }: {
    data: any;
}): React.JSX.Element;
export declare function RemoveButton(): React.JSX.Element;
export declare function JobButton(): React.JSX.Element;
export declare function LogCollapse({ value }: {
    value: any;
}): React.JSX.Element;
export declare function NodeDefaultView(props: any): React.JSX.Element;
